I'm having trouble using Osmo on an older device, can you help?

Unfortunately, older devices with lower memory capacity are known to be at risk of having crashes. This is more noticeable in some of our newer games, such as Coding Awbie, Coding Jam, and Pizza Co. We are investigating ways to help reduce the likelihood of these issues occurring and hope to be able to make improvements.

In the meantime, we suggest closing all background apps on your device and restarting the device before you start playing. Doing this should help reduce the likelihood of the crashes happening. We also recommend that you play without other apps running in the background.

Please also make sure that you have a recent OS version installed (iOS 11 or higher, and Fire OS 7.0 or higher), and there is sufficient memory.

Note that some of the oldest iPad and Fire tablet models are not fully supported. Here's more information about the devices compatible with Osmo.

Can’t find your answer in our support center? Contact us directly.